# Uses of Enum Class
org.kapott.hbci.sepa.PainVersion.Type

Packages that use PainVersion.Type
Package
Description
org.kapott.hbci.sepa

## Uses of PainVersion.Type in org.kapott.hbci.sepa

Methods in org.kapott.hbci.sepa that return PainVersion.Type
Modifier and Type
Method
Description
`PainVersion.Type`
PainVersion.`getType()`
Deprecated.
Liefert den Typ der PAIN-Version.
`static PainVersion.Type`
PainVersion.Type.`getType(String value)`
Liefert den enum-Type fuer den angegebenen Wert.
`static PainVersion.Type`
PainVersion.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PainVersion.Type[]`
PainVersion.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.kapott.hbci.sepa with parameters of type PainVersion.Type
Modifier and Type
Method
Description
`static List<PainVersion>`
PainVersion.`getKnownVersions(PainVersion.Type t)`
Deprecated.
Liefert eine Liste der bekannten PAIN-Versionen fuer den angegebenen Typ.